Subject: Re: [PATCH v2] staging: make board support depend on OF_IRQ and CLKDEV_LOOKUP

From: Guenter Roeck <[email-masked]>
Date: Thu, 2 Jul 2015 06:54:18 -0700

On Thu, Jun 25, 2015 at 10:13:22AM -0400, Paul Gortmaker wrote:
> On 15-06-20 07:28 PM, Paul Gortmaker wrote:
> > Building allmodconfig for arch/cris currently fails with:
> > 
> > drivers/built-in.o: In function `board_staging_register_clock':
> > drivers/staging/board/board.c:131: undefined reference to `clk_add_alias'
> > make: *** [vmlinux] Error 1
> 
> Just checking this didn't fall through the cracks, as its absence
> causes several arch breakage on linux-next for several days now:
> 
> (.init.text+0xf968): undefined reference to `clk_add_alias'
> 
>  
> x86:     http://kisskb.ellerman.id.au/kisskb/buildresult/12448913/
> powerpc: http://kisskb.ellerman.id.au/kisskb/buildresult/12449785/
> parisc:  http://kisskb.ellerman.id.au/kisskb/buildresult/12449940/
> 
This problem is now seen in mainline.

Also affected: alpha:allmodconfig, mips:allmodconfig, s390:allmodconfig.

and applying the patch fixes the problem.

Acked-by: Guenter Roeck <[email-masked]>
Tested-by: Guenter Roeck <[email-masked]>

Guenter